diff a/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties b/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties
--- a/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties
+++ b/src/jdk.compiler/share/classes/com/sun/tools/javac/resources/compiler.properties
@@ -1396,10 +1396,18 @@
 # 0: name (variable), 1: message segment
 compiler.err.cant.infer.local.var.type=\
     cannot infer type for local variable {0}\n\
     ({1})
 
+# 0: list of type
+compiler.err.cant.infer.quoted.lambda.return.type=\
+    cannot infer return type for quoted lambda expression\n\
+    (found: {0})
+
+compiler.err.quoted.lambda.must.be.explicit=\
+    Quoted lambda cannot have implicit parameter types
+
 # 0: name
 compiler.err.restricted.type.not.allowed.here=\
     ''{0}'' is not allowed here
 
 # 0: name
@@ -4082,5 +4090,30 @@
 
 # 0: type
 compiler.err.enclosing.class.type.non.denotable=\
     enclosing class type: {0}\n\
     is non-denotable, try casting to a denotable type
+
+########################################
+# Diagnostics for code reflection
+########################################
+
+compiler.misc.feature.reflect.methods=\
+    code reflection
+
+# 0: symbol, 1: symbol, 2: string
+compiler.note.method.ir.dump=\
+    code reflection enabled for method {0}.{1}\n\
+    {2}
+
+# 0: symbol, 1: symbol, 2: string
+compiler.note.method.ir.skip=\
+    unsupported code reflection node {2} found in method {0}.{1}
+
+# 0: string
+compiler.note.quoted.ir.dump=\
+    code reflection enabled for method quoted lambda\n\
+    {0}
+
+# 0: string
+compiler.note.quoted.ir.skip=\
+    unsupported code reflection node {0} found in quoted lambda
